package com.care.common.service.impl;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.care.common.entity.CareEventOrderHandleHis;
import com.care.common.entity.CcCallResult;
import com.care.common.enums.ContactorStatusEnum;
import com.care.common.enums.UserRoleEnum;
import com.care.common.mapper.CcCallResultMapper;
import com.care.common.service.CareEventOrderHandleHisService;
import com.care.common.service.CcCallResultService;
import com.care.common.vo.outcall.CcCallResultVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 外呼结果表(CcCallResult)表服务实现类
 *
 * @author makejava
 * @since 2021-05-30 13:13:26
 */
@Service
public class CcCallResultServiceImpl extends ServiceImpl<CcCallResultMapper, CcCallResult> implements CcCallResultService {

    @Resource
    private CareEventOrderHandleHisService careEventOrderHandleHisService;
    /**
     * 获取呼叫结果
     *
     * @param id
     * @return
     */
    @Override
    public CcCallResultVO getCallResult(Long id) {
        return this.baseMapper.getCallResult(id);
    }

    @Override
    public void saveCallResult(CcCallResult result) {

        this.save(result);

        CareEventOrderHandleHis his = new CareEventOrderHandleHis();
        his.setOrgId(result.getOrgId());
        his.setStationId(result.getStationId());
        his.setOrderId(result.getOrderId());
        // his.setLogType();
        his.setLogObjectId(result.getCalledId());
        his.setLogObjectName(result.getCalledName());
        his.setLogResult(ContactorStatusEnum.getCodeToName(result.getCallStatus()));
        his.setOpUserRole(UserRoleEnum.SEAT.getValue());
        //his.setOpUserId(loginUser.getId());
        //his.setOpUserName(loginUser.getName());
        his.setCreateTime(DateUtil.date());
        his.setRelationTypeDesc(result.getRelationTypeDesc());
        this.careEventOrderHandleHisService.save(his);
    }


}